Package com.pixelmed.network

# Class MultipleInstanceTransferStatusHandlerWithFileName

java.lang.Object
com.pixelmed.network.MultipleInstanceTransferStatusHandler
com.pixelmed.network.MultipleInstanceTransferStatusHandlerWithFileName

Direct Known Subclasses:
  `DicomCleaner.OurMultipleInstanceTransferStatusHandler`, `DoseUtility.OurMultipleInstanceTransferStatusHandler`, `DownloadOrTransmit.OurMultipleInstanceTransferStatusHandler`, `MultiModalitySimulator.OurMultipleInstanceTransferStatusHandler`, `ProcessReceivedWholeSlideImagesMakeTiledPyramidAndSend.OurMultipleInstanceTransferStatusHandlerWithFileName`, `WatchFolderAndSend.OurMultipleInstanceTransferStatusHandlerWithFileName`

public abstract class MultipleInstanceTransferStatusHandlerWithFileName extends MultipleInstanceTransferStatusHandler

## Constructor Summary

Constructors
Constructor
Description
`MultipleInstanceTransferStatusHandlerWithFileName()`

## Method Summary

Modifier and Type
Method
Description
`void`
`updateStatus(int nRemaining, int nCompleted, int nFailed, int nWarning, String sopInstanceUID)`
`abstract void`
`updateStatus(int nRemaining, int nCompleted, int nFailed, int nWarning, String sopInstanceUID, String fileName, boolean success)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MultipleInstanceTransferStatusHandlerWithFileName

public MultipleInstanceTransferStatusHandlerWithFileName()

## Method Details

### updateStatus

public abstract void updateStatus(int nRemaining, int nCompleted, int nFailed, int nWarning, String sopInstanceUID, String fileName, boolean success)

### updateStatus

public void updateStatus(int nRemaining, int nCompleted, int nFailed, int nWarning, String sopInstanceUID)

Specified by:
  `updateStatus` in class `MultipleInstanceTransferStatusHandler`